Package org.eclipse.rdf4j.federated.cache

## Class EndpointEntry

- java.lang.Object
- - org.eclipse.rdf4j.federated.cache.EndpointEntry

- All Implemented Interfaces:
    `Serializable`

      public class EndpointEntry
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `doesProvideStatements` |
    `protected String` | `endpointID` |
    `protected boolean` | `hasLocalStatements` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EndpointEntry​(String endpointID, boolean canProvideStatements)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `doesProvideStatements()` |
    `String` | `getEndpointID()` |
    `CloseableIteration<? extends Statement,​Exception>` | `getStatements()` |
    `boolean` | `hasLocalStatements()` |
    `void` | `setCanProvideStatements​(boolean canProvideStatements)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### endpointID

          protected final String endpointID

    - #### doesProvideStatements

          protected boolean doesProvideStatements

    - #### hasLocalStatements

          protected boolean hasLocalStatements

  - ### Constructor Detail

    - #### EndpointEntry

          public EndpointEntry​(String endpointID,
                               boolean canProvideStatements)

  - ### Method Detail

    - #### doesProvideStatements

          public boolean doesProvideStatements()

    - #### getStatements

          public CloseableIteration<? extends Statement,​Exception> getStatements()

    - #### hasLocalStatements

          public boolean hasLocalStatements()

    - #### setCanProvideStatements

          public void setCanProvideStatements​(boolean canProvideStatements)

    - #### getEndpointID

          public String getEndpointID()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`